// This code implementation is the intellectual property of
// the GEANT4 collaboration.
//
// By copying, distributing or modifying the Program (or any work
// based on the Program) you indicate your acceptance of this statement,
// and all its terms.
//
// $Id: G3toG4EventAction.hh,v 1.1 2000/07/24 11:23:47 gcosmo Exp $
// GEANT4 tag $Name: examples-V02-00-01 $
//
// 

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....

#ifndef G3toG4EventAction_h
#define G3toG4EventAction_h 1

#include "G4UserEventAction.hh"
#include "globals.hh"

class G3toG4EventActionMessenger;

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....

class G3toG4EventAction : public G4UserEventAction
{
  public:
    G3toG4EventAction();
   ~G3toG4EventAction();

  public:
    void BeginOfEventAction(const G4Event* anEvent);
    void EndOfEventAction(const G4Event* anEvent);
    
    void SetDrawFlag(G4String val)  {drawFlag = val;};
    
  private:
    G4String drawFlag;                         // control the drawing of event
    G3toG4EventActionMessenger*  eventMessenger;
};

#endif

    
